# `input-number-with-unit`

> a number input component which with a unit select

![demo1](https://cdn.jsdelivr.net/npm/input-number-with-unit@1.0.1/public/demo1.png)

![demo2](https://cdn.jsdelivr.net/npm/input-number-with-unit@1.0.1/public/demo2.png)

## Usage

### Install
```js
import Vue from 'vue'
import inputNumberWithUnit from 'input-number-with-unit';
import 'input-number-with-unit/dist/inputNumberWithUnit.css'
Vue.use(inputNumberWithUnit)
```

### Using in Vue
```html
<template>
  <div>
    <InputNumber
      :wordsValue='["inherit","unset","initia","auto"]'
      value="39px"
      width="inherit"
      defaultUnit="-"
      :units='[{"label":"Auto","value":"inherit"},{"label":"-","value":"-"},{"label":"PX","value":"px"},{"label":"%","value":"%"},{"label":"EM","value":"em"},{"label":"CH","value":"ch"},{"label":"REM","value":"rem"},{"label":"VW","value":"vw"},{"label":"VH","value":"vh"}]'
    />
    39px
  </div>
</template>
```

## props
<table class="docblock-argstable css-6hhrgj"><thead class="docblock-argstable-head"><tr><th>Name</th><th>Description</th><th>Default</th></tr></thead><tbody class="docblock-argstable-body"><tr title="Hide props items" class="css-59p8vf"><td colspan="1" class="css-11nj37o"><span class="css-s7utv5">props</span></td><td colspan="3" class="css-79elbk"></td></tr><tr><td class="css-4lbn0a"><span class="css-in3yi3">value</span></td><td><div class="css-9gifa"><div class="css-13nzt7e"><span class="css-16d4d7t">number,</span><span class="css-16d4d7t">string</span></div></div></td><td><span>-</span></td></tr><tr><td class="css-4lbn0a"><span class="css-in3yi3">min</span></td><td><div class="css-9gifa"><div class="css-13nzt7e"><span class="css-16d4d7t">number</span></div></div></td><td><div class="css-13nzt7e"><span class="css-16d4d7t">-Infinity</span></div></td></tr><tr><td class="css-4lbn0a"><span class="css-in3yi3">max</span></td><td><div class="css-9gifa"><div class="css-13nzt7e"><span class="css-16d4d7t">number</span></div></div></td><td><div class="css-13nzt7e"><span class="css-16d4d7t">Infinity</span></div></td></tr><tr><td class="css-4lbn0a"><span class="css-in3yi3">step</span></td><td><div class="css-9gifa"><div class="css-13nzt7e"><span class="css-16d4d7t">number</span></div></div></td><td><div class="css-13nzt7e"><span class="css-16d4d7t">1</span></div></td></tr><tr><td class="css-4lbn0a"><span class="css-in3yi3">units</span></td><td><div class="css-9gifa"><div class="css-13nzt7e"><span class="css-16d4d7t">array</span></div></div></td><td><span class="css-16d4d7t">[
  {
    label: 'Auto',
    value: 'inherit'
  },
  {
    label: '-',
    value: '-'
  },
  {
    label: 'PX',
    value: 'px'
  },
  {
    label: '%',
    value: '%'
  },
  {
    label: 'EM',
    value: 'em'
  },
  {
    label: 'CH',
    value: 'ch'
  },
  {
    label: 'REM',
    value: 'rem'
  },
  {
    label: 'VW',
    value: 'vw'
  },
  {
    label: 'VH',
    value: 'vh'
  },
]</span></td></tr><tr><td class="css-4lbn0a"><span class="css-in3yi3">width</span></td><td><div class="css-9gifa"><div class="css-13nzt7e"><span class="css-16d4d7t">string</span></div></div></td><td><div class="css-13nzt7e"><span class="css-16d4d7t">'auto'</span></div></td></tr><tr><td class="css-4lbn0a"><span class="css-in3yi3">wordsValue</span></td><td><div class="css-9gifa"><div class="css-13nzt7e"><span class="css-16d4d7t">array</span></div></div></td><td><span class="css-16d4d7t">['inherit', 'unset', 'initia', 'auto']</span></td></tr><tr><td class="css-4lbn0a"><span class="css-in3yi3">defaultUnit</span></td><td><div class="css-9gifa"><div class="css-13nzt7e"><span class="css-16d4d7t">string</span></div></div></td><td><div class="css-13nzt7e"><span class="css-16d4d7t">'-'</span></div></td></tr><tr title="Hide events items" class="css-59p8vf"><td colspan="1" class="css-11nj37o"><span class="css-s7utv5">events</span></td><td colspan="3" class="css-79elbk"></td></tr><tr><td><div class="css-9gifa">input</div></td><td><span>-</span></td><td>-</td></tr></tbody></table>
